Package com.collibra.dgc.core.api.model.activitystream

# Enum Class ActivityType

Object
Enum<ActivityType>
ActivityType

All Implemented Interfaces:
  `Serializable`, `Comparable<ActivityType>`, `Constable`

public enum ActivityType extends Enum<ActivityType>
The type of the activity

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADD`
  `DELETE`
  `UPDATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ActivityType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ActivityType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADD

    public static final ActivityType ADD

  - ### UPDATE

    public static final ActivityType UPDATE

  - ### DELETE

    public static final ActivityType DELETE

- ## Method Details

  - ### values

    public static ActivityType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ActivityType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null